Package org.globus.ftp.vanilla

# Class TransferState

java.lang.Object
org.globus.ftp.vanilla.TransferState

public class TransferState extends Object

## Constructor Summary

Constructors
Constructor
Description
`TransferState()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkError()`
`Exception`
`getError()`
`boolean`
`hasError()`
`boolean`
`isDone()`
`boolean`
`isStarted()`
`void`
`transferDone()`
`void`
`transferError(Exception e)`
`void`
`transferStarted()`
`void`
`waitForEnd()`
Blocks until the transfer is complete or the transfer fails.
`void`
`waitForStart()`
Blocks until the transfer begins or the transfer fails to start.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransferState

public TransferState()

## Method Details

### transferStarted

public void transferStarted()

### transferDone

public void transferDone()

### transferError

public void transferError(Exception e)

### isDone

public boolean isDone()

### isStarted

public boolean isStarted()

### waitForEnd

public void waitForEnd() throws ServerException, ClientException, IOException
Blocks until the transfer is complete or the transfer fails.

Throws:
  `ServerException`
  `ClientException`
  `IOException`

### waitForStart

public void waitForStart() throws ServerException, ClientException, IOException
Blocks until the transfer begins or the transfer fails to start.

Throws:
  `ServerException`
  `ClientException`
  `IOException`

### hasError

public boolean hasError()

### getError

public Exception getError()

### checkError

public void checkError() throws ServerException, ClientException, IOException

Throws:
  `ServerException`
  `ClientException`
  `IOException`